---
title: Get client-side security settings
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Page Shield](https://developers.cloudflare.com/api/go/resources/page_shield)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get client-side security settings

client.PageShield.Get(ctx, query) (\*[PageShieldGetResponse](<https://developers.cloudflare.com/api/go/resources/page_shield#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/page\_shield

Returns the client-side security product enablement status and reporting behaviors.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Page Shield``Domain Page Shield Read``Domain Page Shield``Page Shield Read``Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

query PageShieldGetParams

</summary>

ZoneID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20page_shield%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PageShieldGetResponse struct{…}

</summary>

Enabled bool

When true, indicates that Client-Side Security is enabled.

<a href="#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

UpdatedAt string

The timestamp of when Client-Side Security was last updated.

<a href="#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)%20%3E%20(property)%20updated_at">Link to this property</a>

UseCloudflareReportingEndpoint bool

When true, CSP reports will be sent to <a href="https://csp-reporting.cloudflare.com/cdn-cgi/script_monitor/report">https://csp-reporting.cloudflare.com/cdn-cgi/script\_monitor/report</a>

<a href="#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)%20%3E%20(property)%20use_cloudflare_reporting_endpoint">Link to this property</a>

UseConnectionURLPath bool

When true, the paths associated with connections URLs will also be analyzed.

<a href="#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)%20%3E%20(property)%20use_connection_url_path">Link to this property</a>

</details>

[Link to this property](<#(resource)%20page_shield%20%3E%20(model)%20PageShieldGetResponse%20%3E%20(schema)>)

### Get client-side security settings

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  pageShield, err := client.PageShield.Get(context.TODO(), page_shield.PageShieldGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pageShield.Enabled)
}
```

200 example

```
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}
```